<?php
define('PROTECTOR', 1);

$textl='Регистрация';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');

echo'<div class="gameBorder">';
echo'<div class="menu"><b>Регистрация</b><br/>';
              echo'<div class="end" align="center"><img src="pic/ras.jpg"/></div>';

function first()
{
$ref=rand(0,10000);
$_SESSION[kod]=$ref;

if(!empty($_GET[ref])){
echo "<form action=\"reg.php?mod=goreg&amp;ref=$_GET[ref]\" method=\"post\">";
}else{
echo '<form action="reg.php?mod=goreg" method="post">';
}
echo"Логин:(<small>Не более 10 символов, А-я и A-z</small>)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nick\" maxlength=\"10\"/><br/>";

echo"Пароль:(<small>Не более 10 символов, латиница и цифры</small>)<br/>
<input class='input' name=\"pass\" size=\"10\" type=\"password\" maxlength=\"10\"/><br/>";

echo"Пароль:(<small>Повторите пароль</small>)<br/>
<input class='input' name=\"repass\" size=\"10\" type=\"password\" maxlength=\"10\"/><br/>";

echo"Ваш e-mail:(<small>Нужен для востановления пароля</small>)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"email\" maxlength=\"50\"/><br/>";
echo "Раса:(<small>Выберите расу</small>)<br/>
<select name=\"rasa\">
<option value=\"human\">Люди</option>
<option value=\"elf\">Эльфы</option><option value=\"ork\">Орки</option><option value=\"gnom\">Гномы</option>
</select>";
echo "<br/>Сторона:(<small>Выберите сторону</small>)<br/>
<select name=\"storona\">
<option value=\"white\">Светлая</option>
<option value=\"black\">Тёмная</option>
</select>";

echo "<br/>";

echo "Пол:(<small>Укажите ваш пол</small>)<br/>
<select name=\"pol\"><option value=\"m\">Парень</option>
<option value=\"w\">Девушка</option></select><br/>";

echo "Класс:(<small>Выберите класс</small>)<br/>
<select  name=\"klas\">
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option></select><br/>";

echo"Введите код: $ref<br/><input class='input' type=\"text\" name=\"kod\" maxlength=\"6\"/><br/><br/>";
echo '<input class="button" type="submit" value="Регистрация" /></form>';
echo "</div>";
echo'<div class="foot"><a href="index.php">Назад</a></div>';
}

function goreg()
{

if($_POST[storona]!='white' and $_POST[storona]!='black'){
echo "Невыбрана сторона персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}

if($_POST[klas]!='fighert' and $_POST[klas]!='wizard'){
echo "Невыбран класс персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
if($_POST[pol]!='m' and $_POST[pol]!='w'){
echo "Невыбран пол персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}

$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
$pass = $_POST[pass];
$_POST[nick] = addslashes("$_POST[nick]");
$_POST[nick] = htmlspecialchars($_POST[nick]);
$_POST[rasa] = addslashes("$_POST[rasa]");
$_POST[rasa] = htmlspecialchars($_POST[rasa]);

$_POST[pass] = addslashes("$_POST[pass]");
$_POST[pass] = htmlspecialchars($_POST[pass]);

$_POST[repass] = addslashes("$_POST[repass]");
$_POST[repass] = htmlspecialchars($_POST[repass]);

$_POST[email] = addslashes("$_POST[email]");
$_POST[email] = htmlspecialchars($_POST[email]);

$tkr = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[nick]'");
$tkr=mysql_num_rows($tkr);

$bip = mysql_query("SELECT * FROM `users` WHERE `ip` = '$ip'");
$bip=mysql_num_rows($bip);

if($_SESSION[kod]!=$_POST[kod])
{
unset($_SESSION[kod]);
echo "Не правильно введён защитный код!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif (@preg_replace("[A-za-zА-яа-я0-9]+", "", $_POST[nick]) || @preg_replace("[A-za-z0-9]+", "", $_POST[pass]) || @preg_replace("[A-za-z0-9]+", "", $_POST[repass]))
{
echo "Используете запрещённые символы!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}


elseif (ereg("/[0-9a-z_]+@[0-9a-z_^\.]", "", $_POST[email]))
{
echo "Не правильно введён e-mail!</div>";
echo "<a href=\"reg.php\">Назад</a></div>";
}


elseif (($tkr < 1) && ($bip < 20) && ($_POST[nick] != "") && ($_POST[pass] != "") && ($_POST[repass] != "") && ($_POST[pass] == $_POST[repass]))
{

$dater=date("d F, Y", time());
$time=date("H:i:s", time());
$dater = str_replace("January","января",$dater);
$dater = str_replace("February","февраля",$dater);
$dater = str_replace("March","марта",$dater);
$dater = str_replace("April","апреля",$dater);
$dater = str_replace("May","мая",$dater);
$dater = str_replace("June","июня",$dater);
$dater = str_replace("July","июля",$dater);
$dater = str_replace("August","августа",$dater);
$dater = str_replace("September","сентября",$dater);
$dater = str_replace("October","октября",$dater);
$dater = str_replace("November","ноября",$dater);
$dater = str_replace("December","декабря",$dater);

$_POST[pass] = md5($_POST[pass]);

$storona = $_POST[storona];


if($_POST[klas]=="wizard"){
$mp="9"; $all="12";
$sila="1";
$antikrit="8";
$krit="5";
$ukrit="5";
$umin="1";
$umax="2";
$um='3';
$lovk='3';

$pgolova='2';
$pbody='1';
$pnogi='2';
}
if($_POST[klas]=="fighert"){
$mp="7"; $all="14";
$sila="2";
$antikrit="5";
$krit="8";
$ukrit="8";
$umin="1";
$umax="3";
$um='1';
$lovk='2';

$pgolova='2';
$pbody='2';
$pnogi='1';
}

/*if($_POST[storona]=="white"){
$city='fornost';
}

if($_POST[storona]=="black"){
$city='kronos';
}*/

$umin=$umin+2;
$umax=$umax+7;

if(!empty($_GET[ref])){
$req = mysql_query("SELECT `ip` FROM `users` WHERE `id` = '$_GET[ref]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
$refer = mysql_fetch_array($req);

if($ip!=$refer[ip]){

mysql_query("INSERT INTO
`users` SET
`usr` = '$_POST[nick]',
`pass` = '$_POST[pass]',
`email` = '$_POST[email]',
`rasa` = '$_POST[rasa]',
`ip` = '$ip',
`pol` = '$_POST[pol]',
`storona` = '$_POST[storona]',
`lvl` = '0',
`money` = '0',
`skill` = '0',
`hp` = '$all',
`hpall` = '$all',
`mp` = '$mp',
`mpall` = '$mp',
`exp` = '0',
`sila` = '$sila',
`um` = '$um',
`lovk` = '$lovk',
`prot` = '$protect',
`pgolova` = '$pgolova',
`pbody` = '$pbody',
`pnogi` = '$pnogi',
`antikrit` = '$antikrit',
`krit` = '$krit',
`ukrit` = '$ukrit',
`umin` = '$umin',
`umax` = '$umax',
`klas` = '$_POST[klas]',
`city` = 'fornost',
`ref` = '$_GET[ref]',
`lvisit` = '$dater $time'");

}

}
}else{
mysql_query("INSERT INTO
`users` SET
`usr` = '$_POST[nick]',
`pass` = '$_POST[pass]',
`email` = '$_POST[email]',
`rasa` = '$_POST[rasa]',
`ip` = '$ip',
`pol` = '$_POST[pol]',
`storona` = '$_POST[storona]',
`lvl` = '0',
`money` = '0',
`skill` = '0',
`hp` = '$all',
`hpall` = '$all',
`mp` = '$mp',
`mpall` = '$mp',
`exp` = '0',
`sila` = '$sila',
`um` = '$um',
`lovk` = '$lovk',
`prot` = '$protect',
`pgolova` = '$pgolova',
`pbody` = '$pbody',
`pnogi` = '$pnogi',
`antikrit` = '$antikrit',
`krit` = '$krit',
`ukrit` = '$ukrit',
`umin` = '$umin',
`umax` = '$umax',
`klas` = '$_POST[klas]',
`city` = 'fornost',
`lvisit` = '$dater $time'");
}

mysql_query("INSERT INTO
`item` SET
`usr` = '$_POST[nick]',
`tip` = 'weapon',
`name` = 'Гнилая трость',
`cena` = '8',
`umin` = '1',
`umax` = '3',
`klas` = 'not',
`nsila` = '1',
`image` = 'not'");

mysql_query("INSERT INTO
`item` SET
`usr` = '$_POST[nick]',
`tip` = 'body',
`name` = 'Рваная рубаха',
`cena` = '8',
`pbody` = '2',
`klas` = 'not',
`nsila` = '1',
`image` = 'not'");
if($_POST[klas]=="wizard"){
mysql_query("INSERT INTO
`mag` SET
`usr` = '$_POST[nick]',
`name` = 'Магическая стрела',
`lat_name` = 'mag_strela',
`tip` = 'atack',
`klas` = 'wizard',
`uron` = '13|15|18|21|24|27|30|33|37|40',
`mp` = '9|10|12|13|14|15|16|17|18|19',
`hp` = '0|0|0|0|0|0|0|0|0|0',
`plushp` = '0|0|0|0|0|0|0|0|0|0',
`cena` = '50|100|200|380|540|800|1124|1800|2600',
`lvl` = '1'");
}
if($_POST[klas]=="fighert"){
mysql_query("INSERT INTO
`mag` SET
`usr` = '$_POST[nick]',
`name` = 'Сильный удар',
`lat_name` = 'siln_udar',
`tip` = 'atack',
`klas` = 'fighert',
`uron` = '10|15|18|21|24|27|30|33|37|40',
`mp` = '7|9|10|11|12|13|14|15|16|17',
`hp` = '0|0|0|0|0|0|0|0|0|0',
`plushp` = '0|0|0|0|0|0|0|0|0|0',
`cena` = '50|100|200|380|540|800|1124|1800|2600',
`lvl` = '1'");
}
mysql_query("INSERT INTO `mesto` SET `usr` = '$_POST[nick]',`place` = 'main',`city` = '0'");
$date = time();
mysql_query("INSERT INTO regenerator SET usr = '$_POST[nick]', last = '$date'");

//************************
$actime=time()+3600;

mysql_query("INSERT INTO
`aurs` SET
`usr` = '$_POST[nick]',
`actimer` = '$actime'");

mysql_query("INSERT INTO
`item_aura` SET
`usr` = '$_POST[nick]',
`name` = 'Слабая аура шока',
`lat_name` = 'min_aura_shok',
`cena` = '15',
`umin` = '2',
`umax` = '7',
`actime` = '1800',
`status` = '1',
`kol` = '1'");

//********************

$time = date("H:i d.m.y");
$text = "Добро пожаловать в игру Мир Хаоса!Этот мир ждёт тебя, путешествуй, сражайся и просто отдыхай!Тебе в помощь дали доспех и оружие, лучше одень их сразу! Вопросы задавать в чате! Администрация на вопросы по игре не отвечает! Писать только насчёт найденых багов, недочётов и с предложениями! Приятного времяпровождения!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Admin', `user_to` = '$_POST[nick]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

$_SESSION['log'] = $_POST[nick];
$_SESSION['pas'] = $_POST[pass];
$_SESSION['klas'] = $_POST[klas];
$_SESSION['storona'] = $storona;

echo "Добро пожаловать в игру Мир Хаоса!<br/>";
echo "Логин: $_POST[nick]<br/>
Пароль: $pass</div>";
echo "<div class=\"foot\"><a href=\"reg.php?mod=intro\">Далее</a></div>";
}
elseif($_POST[nick] == "")
{
echo "Вы оставили пустое поле: Логин!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif($_POST[pass] == "")
{
echo "Вы оставили пустое поле: Пароль!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif($_POST[repass] == "")
{
echo "Вы оставили пустое поле: Пароль(повторно)!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif($_POST[pass] != $_POST[repass])
{
echo "Пароли не совпадают!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif($tkr > 0)
{
echo "Логин занят, выберите другой!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif($bip > 20)
{
echo "Не стоит заводить столько много аккаунтов!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
}
function intro(){
if(empty($_SESSION['log']) or empty($_SESSION['pas']) or empty($_SESSION['storona']) or empty($_SESSION['klas'])){
echo "Ошибка!</div>";
echo "<div class=\"foot\"><a href=\"reg.php\">Назад</a></div>";
}else{
if($_SESSION['storona']=='white'){
if($_SESSION['klas']=='wizard'){
echo'Ты выбрал путь светлого мага, ты сделал правильный выбор!<br/>';
}else{
echo'Ты выбрал путь светлого воина, ты сделал правильный выбор!<br/>';
}
echo'Возможно ты приведёшь светлую сторону к победе над мраком!<br/>';
}else{
echo'Возможно ты приведёшь тёмную сторону к победе над любителями добра!<br/>';
}
echo'Но ты новичёк ещё, поэтому слушай несколько советов!<br/>
1. Зайдя в игру сразу одень Гнилую трость, и Рваную рубаху. Они лежат в твоём инвентаре!<br/>
2. На первый час в Мире Хаоса тебе дана Слабая аура шока, используй её с умом. Лучше невыходить сразу с игры!<br/>
3. Для того чтобы стать более сильным ты должен получать опыт и подымать свой уровень,<br/>
за каждый уровень ты получаешь 3 очка опыта, которые можешь распределить на физ. параметры!<br/> Убивая монстров, они находяться в МИРЕ, будешь получать опыт, деньги, вещи.<br/>
4. Советуем пройти все квесты у наставника, так вы быстрей раскачаетесь. Все вещи можно купить на Торговой площади!<br/>
5. Доминация - это приимущество одной из сторон, лидирующая сторона может покупать все вещи на 15% дешевле! Отличное начало для создания торгового бизнеса.<br/>
6. Ответы на вопросы ты всегда найдёшь в чате или в библиотеке!</div>';
echo "<div class=\"foot\"><a href=\"npc.php?id=3\">Войти в Мир Хаоса</a></div>";
}
}
if($_GET[mod] == "")
{first();}
elseif($_GET[mod] == "goreg")
{goreg();}
elseif($_GET[mod] == "intro")
{intro();}

include($path.'files/end.php');
?>